using Exam.Infrastructure.Data.Interface;
using Hotline.Share.Enums.Exams;
using System.ComponentModel;

namespace Hotline.Share.ViewResponses.Exam
{
    /// <summary>
    /// 标签
    /// </summary>
    [Description("标签")]
    public class ExamTagViewResponse:IViewResponse
    {
        /// <summary>
        /// 标签名称
        /// </summary>
        [Description("标签名称")]
        public string Name { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public EPublicStatus Status { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [Description("排序")]
        public int SortIndex { get; set; }

        /// <summary>
        /// 主键
        /// </summary>
        [Description("主键")]

        public string Id { get; set; }

        /// <summary>
        /// 父级ID
        /// </summary>
        [Description("父级ID")]
        public string? ParentId { get; set; }

        /// <summary>
        /// 子标签
        /// </summary>
        [Description("子标签")]
        public List<ExamTagViewResponse> Children { get; set; }

    }
}
